# Avvio Round
execute as @a[tag=dh.t_giocatori,tag=dh.t_nonPronto] at @s if block ~ ~-10 ~ minecraft:lime_concrete run tag @s add dh.t_inGioco
execute as @a[tag=dh.t_giocatori,tag=dh.t_nonPronto] at @s if block ~ ~-10 ~ minecraft:lime_concrete run tag @s remove dh.t_nonPronto

execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco] at @s if block ~ ~ ~ minecraft:ladder run tag @s add dh.t_nonPronto
execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco] at @s if block ~ ~ ~ minecraft:ladder run tag @s add dh.t_passoFalso
execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco] at @s if block ~ ~ ~ minecraft:ladder run clear @a[tag=dh.t_giocatori] minecraft:glowstone
execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco] at @s if block ~ ~ ~ minecraft:ladder run tag @s remove dh.t_inGioco

execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco,tag=!dh.t_nonPronto] if score @s dh.o_oggetto1 matches 2.. run clear @s minecraft:glowstone{display:{Name:'{"text":"Fotone","italic":false}'}}
execute as @a[tag=dh.t_giocatori,tag=dh.t_inGioco,tag=!dh.t_nonPronto] unless entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:glowstone",Count:1b,tag:{display:{Name:'{"text":"Fotone","italic":false}'}}}]}] run replaceitem entity @s armor.head minecraft:glowstone{display:{Name:'{"text":"Fotone","italic":false}'}}
kill @e[type=item,nbt={Item:{id:"minecraft:glowstone"}}]

# Conto alla Rovescia
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_inGioco] run tag @s add dh.t_parteContoRovescia
execute if entity @a[tag=dh.t_giocatori,tag=dh.t_inGioco] run scoreboard players set #UnSecondo dh.o_tempoScorre 20

execute if entity @s[tag=dh.t_parteContoRovescia,tag=!dh.t_fermaContoRovescia] run scoreboard players remove #TempoRimastoTic dh.o_tempoScorre 1
execute if entity @s[tag=dh.t_parteContoRovescia,tag=!dh.t_fermaContoRovescia] run scoreboard players operation #TempoRimastoSec dh.o_tempoScorre = #TempoRimastoTic dh.o_tempoScorre
execute if entity @s[tag=dh.t_parteContoRovescia,tag=!dh.t_fermaContoRovescia] run scoreboard players operation #TempoRimastoSec dh.o_tempoScorre /= #UnSecondo dh.o_tempoScorre
execute if entity @s[tag=dh.t_parteContoRovescia,tag=!dh.t_fermaContoRovescia] run scoreboard players operation Timer dh.o_tempoScorre = #TempoRimastoSec dh.o_tempoScorre

execute if entity @s[tag=dh.t_parteContoRovescia] run scoreboard players operation #SuonoTimer dh.o_tempoScorre = #TempoRimastoTic dh.o_tempoScorre
execute if entity @s[tag=dh.t_parteContoRovescia] run scoreboard players operation #SuonoTimer dh.o_tempoScorre %= #UnSecondo dh.o_tempoScorre
execute if entity @s[tag=dh.t_parteContoRovescia] if score #SuonoTimer dh.o_tempoScorre matches 0 at @a run playsound minecraft:block.dispenser.fail ambient @a ~ ~ ~ 0.5 2

# Particelle Arrivo
execute if entity @s[tag=dh.t_parteContoRovescia] run particle minecraft:dust 1 0 0 1 -671 48.5 -622 0 0 0 0.1 1



# Passo Corrente
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco] at @s if block ~ ~-1 ~ minecraft:redstone_lamp positioned ~-0.5 ~ ~-0.5 unless entity @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand,dx=0,dy=0,dz=0] unless entity @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand,dx=0,dy=0,dz=0] run tag @s add dh.t_passoFalso
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco] at @s if block ~ ~-1 ~ minecraft:redstone_lamp positioned ~-0.5 ~ ~-0.5 unless entity @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand,dx=0,dy=0,dz=0] unless entity @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand,dx=0,dy=0,dz=0] run tag @s add dh.t_passoFalso

execute at @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] if entity @a[tag=dh.t_primoGiocatore,tag=!dh.t_passoFalso] if block ~ ~-1 ~ minecraft:redstone_lamp run setblock ~ ~-1 ~ minecraft:redstone_lamp[lit=true]
execute at @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] if entity @a[tag=dh.t_secondoGiocatore,tag=!dh.t_passoFalso] if block ~ ~-1 ~ minecraft:redstone_lamp run setblock ~ ~-1 ~ minecraft:redstone_lamp[lit=true]

# Movimento Armorstand Passi 1
execute as @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] at @s if entity @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco,distance=..0.6] run tp @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] ~ ~ ~
execute as @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] at @s if entity @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=north] run tp @s ~ ~ ~1
execute as @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] at @s if entity @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=east] run tp @s ~-1 ~ ~
execute as @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] at @s if entity @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=south] run tp @s ~ ~ ~-1
execute as @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] at @s if entity @a[tag=dh.t_primoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=west] run tp @s ~1 ~ ~

# Movimento Armorstand Passi 2
execute as @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] at @s if entity @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco,distance=..0.6] run tp @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] ~ ~ ~
execute as @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] at @s if entity @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=north] run tp @s ~ ~ ~1
execute as @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] at @s if entity @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=east] run tp @s ~-1 ~ ~
execute as @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] at @s if entity @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=south] run tp @s ~ ~ ~-1
execute as @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] at @s if entity @a[tag=dh.t_secondoGiocatore,tag=dh.t_inGioco,distance=..0.6] if block ~ ~-10 ~ minecraft:magenta_glazed_terracotta[facing=west] run tp @s ~1 ~ ~



# Passo Sbagliato Giocatore 1
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] at @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] if block ~ ~-1 ~ minecraft:redstone_lamp run setblock ~ ~-1 ~ minecraft:redstone_lamp[lit=false]
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] -677 48 -622
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] -676 48 -622
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @s -676.4 48 -622 -90 ~
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] -674 48 -619
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] -674 48 -620
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @s -674 48 -618.6 180 ~
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] -677 48 -622
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] -676 48 -622
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @s -676.4 48 -622 -90 ~
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt1,type=armor_stand] -674 48 -625
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt1,type=armor_stand] -674 48 -624
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @s -674 48 -624.4 0 ~
execute as @a[tag=dh.t_primoGiocatore,tag=dh.t_passoFalso] run tag @s remove dh.t_passoFalso

# Passo Sbagliato Giocatore 2
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] at @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] if block ~ ~-1 ~ minecraft:redstone_lamp run setblock ~ ~-1 ~ minecraft:redstone_lamp[lit=false]
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] -677 48 -622
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] -676 48 -622
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso1,type=armor_stand] run tp @s -676.4 48 -622 -90 ~
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] -674 48 -619
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] -674 48 -620
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso2,type=armor_stand] run tp @s -674 48 -618.6 180 ~
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] -677 48 -622
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] -676 48 -622
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso3,type=armor_stand] run tp @s -676.4 48 -622 -90 ~
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @e[tag=dh.t_passoCorrenteTnt2,type=armor_stand] -674 48 -625
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @e[tag=dh.t_prossimoPassoTnt2,type=armor_stand] -674 48 -624
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso,tag=dh.t_inGioco] if entity @e[tag=dh.t_rotazionePercorso,tag=dh.t_percorso4,type=armor_stand] run tp @s -674 48 -624.4 0 ~
execute as @a[tag=dh.t_secondoGiocatore,tag=dh.t_passoFalso] run tag @s remove dh.t_passoFalso



# Fine Timer
execute if entity @s[tag=dh.t_parteContoRovescia] if score #TempoRimastoTic dh.o_tempoScorre matches 0 if block -671 47 -622 minecraft:redstone_lamp[lit=false] run setblock -663 42 -623 minecraft:orange_wool

# Bomba Esplosa
execute if block -663 42 -623 minecraft:orange_wool run tag @a[tag=dh.t_giocatori] remove dh.t_inGioco
execute if block -663 42 -623 minecraft:orange_wool run tag @s remove dh.t_parteContoRovescia
execute if block -663 42 -623 minecraft:orange_wool run tag @a[tag=dh.t_giocatori] add dh.t_passoFalso
execute if block -663 42 -623 minecraft:orange_wool run particle minecraft:explosion -674 49 -622 2 0 2 0.1 20
execute if block -663 42 -623 minecraft:orange_wool run playsound minecraft:entity.generic.explode ambient @a -672 49 -622 3 0
execute if block -663 42 -623 minecraft:orange_wool run playsound minecraft:entity.generic.explode ambient @a -676 49 -622 3 0
execute if block -663 42 -623 minecraft:orange_wool run kill @a[tag=dh.t_giocatori]
execute if block -663 42 -623 minecraft:orange_wool run tp @a[tag=dh.t_giocatori] -671 45 -622
execute if block -663 42 -623 minecraft:orange_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] remove dh.t_percorso1
execute if block -663 42 -623 minecraft:orange_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] remove dh.t_percorso2
execute if block -663 42 -623 minecraft:orange_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] remove dh.t_percorso3
execute if block -663 42 -623 minecraft:orange_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] remove dh.t_percorso4

execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] add dh.t_percorso1
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run clone -632 44 -615 -626 44 -609 -677 38 -625
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run setblock -677 48 -622 minecraft:air
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run fill -677 45 -622 -677 47 -622 minecraft:ladder[facing=west]
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run setblock -674 48 -625 minecraft:barrier
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:red_wool run fill -674 45 -625 -674 47 -625 minecraft:air

execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] add dh.t_percorso2
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run clone -632 47 -615 -626 47 -609 -677 38 -625
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run setblock -674 48 -619 minecraft:air
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run fill -674 47 -619 -674 45 -619 minecraft:ladder[facing=south]
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run setblock -677 48 -622 minecraft:barrier
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:orange_wool run fill -677 47 -622 -677 45 -622 minecraft:air

execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] add dh.t_percorso3
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run clone -632 50 -615 -626 50 -609 -677 38 -625
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run setblock -677 48 -622 minecraft:air
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run fill -677 45 -622 -677 47 -622 minecraft:ladder[facing=west]
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run setblock -674 48 -619 minecraft:barrier
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:yellow_wool run fill -674 47 -619 -674 45 -619 minecraft:air

execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run tag @e[tag=dh.t_rotazionePercorso,type=armor_stand] add dh.t_percorso4
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run clone -632 53 -615 -626 53 -610 -677 38 -625
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run setblock -674 48 -625 minecraft:air
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run fill -674 45 -625 -674 47 -625 minecraft:ladder[facing=north]
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run setblock -677 48 -622 minecraft:barrier
execute if block -663 42 -623 minecraft:orange_wool at @e[tag=dh.t_rotazionePercorso,type=armor_stand] if block ~ ~-1 ~ minecraft:white_wool run fill -677 47 -622 -677 45 -622 minecraft:air

execute if block -663 42 -623 minecraft:orange_wool as @e[tag=dh.t_rotazionePercorso,type=armor_stand] at @s run tp @s ~1 ~ ~
execute if block -663 42 -623 minecraft:orange_wool as @e[tag=dh.t_rotazionePercorso,type=armor_stand] at @s if block ~ ~-1 ~ minecraft:air run tp @s -676 39 -617
execute if block -663 42 -623 minecraft:orange_wool run tag @a[tag=dh.t_giocatori] add dh.t_nonPronto
execute if block -663 42 -623 minecraft:orange_wool run scoreboard players set #TempoRimastoTic dh.o_tempoScorre 1200
execute if block -663 42 -623 minecraft:orange_wool run setblock -663 42 -623 minecraft:red_wool



# Fine Gioco
execute if block -671 47 -622 minecraft:redstone_lamp[lit=true] if entity @a[tag=dh.t_giocatori,tag=dh.t_inGioco] run summon minecraft:area_effect_cloud -663 42 -623 {Particle:"minecraft:ambient_entity_effect",Duration:61,Tags:["dh.t_bombaDisinnescata"]}

# Bomba Disinnescata
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:0}] run tag @a[tag=dh.t_giocatori] remove dh.t_inGioco
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:0}] run kill @e[tag=dh.t_armorTnt,type=armor_stand]
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_fermaContoRovescia
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:20}] run fill -672 47 -624 -675 47 -620 minecraft:redstone_lamp[lit=false]
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:20}] run clear @a[tag=dh.t_giocatori] minecraft:glowstone
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:40}] run tag @s remove dh.t_parteContoRovescia
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:40}] run tag @s remove dh.t_fermaContoRovescia
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:40}] run playsound minecraft:block.note_block.bell ambient @a -662 45 -619 2 0.8
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:43}] run playsound minecraft:block.note_block.bell ambient @a -662 45 -619 2 0.9
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:60}] run setblock -670 45 -622 minecraft:stone_pressure_plate
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:60}] run playsound minecraft:block.iron_door.open ambient @a -669 46 -622 3
execute if entity @e[tag=dh.t_bombaDisinnescata,type=area_effect_cloud,nbt={Age:60}] run data merge block -649 42 -634 {auto:0b}