# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] run gamerule doFireTick true
execute if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_extra3,type=armor_stand] run gamerule doFireTick false
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra2,type=armor_stand] run gamerule doMobLoot true
execute if entity @e[tag=dh.t_giocatoreFinto,tag=!dh.t_extra2,type=armor_stand] run gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_livelliExtra,tag=!dh.t_extra1,tag=!dh.t_extra2,tag=!dh.t_extra3,type=armor_stand] run setworldspawn -646 49 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_livelliExtra,tag=!dh.t_extra1,tag=!dh.t_extra2,tag=!dh.t_extra3,type=armor_stand] run spawnpoint @a[tag=dh.t_giocatori] -646 49 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra1,type=armor_stand] run setworldspawn -628 49 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra1,type=armor_stand] run spawnpoint @a[tag=dh.t_primoGiocatore] -628 49 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra1,type=armor_stand] run spawnpoint @a[tag=dh.t_secondoGiocatore] -616 49 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra2,type=armor_stand] run setworldspawn -643 46 -644
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra2,type=armor_stand] run spawnpoint @a[tag=dh.t_giocatori] -643 46 -644
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] unless block -667 42 -623 minecraft:black_wool unless block -667 42 -623 minecraft:white_concrete run setworldspawn -665 45 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] unless block -667 42 -623 minecraft:black_wool unless block -667 42 -623 minecraft:white_concrete run spawnpoint @a[tag=dh.t_giocatori] -665 45 -626
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:black_wool run setworldspawn -661 45 -640
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:black_wool run spawnpoint @a[tag=dh.t_giocatori] -661 45 -640
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:white_concrete run setworldspawn -671 45 -622
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:white_concrete run spawnpoint @a[tag=dh.t_giocatori] -671 45 -622



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=-648,y=50,z=-628,dx=4,dy=3,dz=4] run tp @s -646 51 -626



# Itemframe
execute as @e[tag=dh.t_itemframeExtra,type=item_frame,tag=dh.t_rotazione0,nbt=!{ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}

# Vasetti
execute as @e[tag=dh.t_fungoDistortoExtra,type=area_effect_cloud] at @s unless block ~ ~ ~ minecraft:potted_crimson_fungus run setblock ~ ~ ~ minecraft:potted_crimson_fungus

kill @e[type=item,nbt={Item:{id:"minecraft:wheat_seeds"}}]
kill @e[type=experience_orb]

clear @a[tag=dh.t_giocatori] minecraft:barrier
clear @a[tag=dh.t_giocatori] minecraft:crimson_fungus

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c5_livelli_extra/dh.f.b_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c5_livelli_extra/dh.f.c_effetti



# CB Titolo
execute if block -650 42 -628 minecraft:red_wool run data merge block -649 42 -631 {auto:1b}

# Obiettivo Primario Livelli Extra
execute as @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_4=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_4=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_4



# CB Tp Livelli (1, 2, 3, Isola Finale)
execute if block -640 50 -626 lever[powered=true] run data merge block -648 42 -631 {auto:1b}
execute if block -646 50 -632 lever[powered=true] run data merge block -648 42 -631 {auto:1b}
execute if block -652 50 -626 lever[powered=true] run data merge block -648 42 -631 {auto:1b}
execute if block -646 50 -620 lever[powered=true] run data merge block -648 42 -631 {auto:1b}